<template>
  <v-select
    :items="items"
    v-bind="$attrs"
    v-on="$listeners"
  />
</template>

<script>
  export default {
    name: 'SystemLanguageField',
    data () {
      return {
        items: [
          {
            text: this.$t('pt-BR', { abbreviation: 'pt-BR' }),
            value: 'pt-BR',
            disabled: false,
          },
          {
            text: this.$t('en-US', { abbreviation: 'en-US' }),
            value: 'en-US',
            disabled: false,
          },
        ],
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          'pt-BR': 'Português ({abbreviation})',
          'en-US': 'Inglês ({abbreviation})',
        },
        'en-US': {
          'pt-BR': 'Portuguese ({abbreviation})',
          'en-US': 'English ({abbreviation})',
        },
      },
    },
  }
</script>
